//******************** (C) COPYRIGHT 2022 SmartLogic*******************************
// FileName           : ucp_api_transceiver.h
// Author             : boheng.lin@smartlogictech.com
// Date First Issued  : 2023-03-04 02:37:50 PM
// Last Modified      : 
// Description        :
// ------------------------------------------------------------
// Modification History:
// Version    Date       Author    Modification Description
//
//**********************************************************************************

#ifndef UCP_API_TRANSCEIVER_H_
#define UCP_API_TRANSCEIVER_H_

#include <stdint.h>
#include <stdint.h>
#include <stdbool.h>
#include <stdlib.h>

#ifdef __cplusplus
extern "C" {
#endif

extern void UCP_API_TRANSCEIVER_Reset(void);
extern void UCP_API_TRANSCEIVER_Init(void);
extern void UCP_API_TRANSCEIVER_MGC_Cfg(void);
extern void UCP_API_TRANSCEIVER_Gain_Set(void);
extern void UCP_API_TRANSCEIVER_Gain_Get(void);
extern void UCP_API_TRANSCEIVER_Att_Set(void);
extern void UCP_API_TRANSCEIVER_Att_Get(void);
extern void UCP_API_TRANSCEIVER_TRX_Cfg(void);
extern void UCP_API_TRANSCEIVER_Tx(void);
extern void UCP_API_TRANSCEIVER_Rx(void);
extern void UCP_API_TRANSCEIVER_LO_Set(void);
extern void UCP_API_TRANSCEIVER_LO_Get(void);
extern void UCP_API_TRANSCEIVER_IQ_Cal(void);
extern void UCP_API_TRANSCEIVER_MCS(void);
extern void UCP_API_TRANSCEIVER_SampleRate_Get(void);
extern void UCP_API_TRANSCEIVER_Bandwidth_Get(void);
extern void UCP_API_TRANSCEIVER_LinkStatus(void);
extern void UCP_API_TRANSCEIVER_Tone(bool set);
extern int16_t UCP_API_TRANSCEIVER_getTemperature(void);
extern uint32_t UCP_API_TRANSCEIVER_getLockStatus(void);

#ifdef __cplusplus
}
#endif

#endif /* #ifndef UCP_API_TRANSCEIVER_H_ */
